/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with thi1s program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

#include "libinput_switch_event.h"

typedef std::function<void(Event*)> sendEvent;
Libinput_Switch_Event::Libinput_Switch_Event(QObject *parent) : QObject(parent)
{

    sendEvent se=std::bind(&Libinput_Switch_Event::deal_event,this,std::placeholders::_1);
    m_inputGatherClient = new  UKUIInputGatherClient;
    m_inputGatherClient->setEventCallBack(se);
    m_inputGatherClient->startToReceiveEvent();

}
Libinput_Switch_Event::~Libinput_Switch_Event()
{
    delete m_inputGatherClient;
}
int Libinput_Switch_Event::get_init_devices_status()
{
    //0 非平板
    //1 平板
    //-1 不支持
    qDebug()<<"get_init_devices_status";
    return m_inputGatherClient->libinputTabletSwitchState();
}
void Libinput_Switch_Event::deal_event(Event* e)
{
    switch (e->type) {
    case LIBINPUT_EVENT_SWITCH_TOGGLE:
        qInfo()<<"=========LIBINPUT_EVENT_SWITCH_TOGGLE======";
        if(e->event.switchEventDate.switchType == LIBINPUT_SWITCH_TABLET_MODE) {
            qInfo()<<"switch type"<<e->event.switchEventDate.switchType;
            qInfo ()<<"switch status"<<e->event.switchEventDate.switchState;
            if(e->event.switchEventDate.switchState == 1){
                Q_EMIT tablet_mode_status_changed(1);
            }else {
                Q_EMIT tablet_mode_status_changed(0);
            }
        }
        break;
    default:
        break;
    }
}
