/*
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef TABLET_MODE_SWITCH_MONITORING_H
#define TABLET_MODE_SWITCH_MONITORING_H

#include <QObject>
#include <QGSettings>
#include <QDebug>
#include <ukui/event.h>


class Libinput_Switch_Event;
class Tablet_Mode_Switch_Monitoring : public QObject
{
    Q_OBJECT
public:
    explicit Tablet_Mode_Switch_Monitoring(QObject *parent = nullptr);
    ~Tablet_Mode_Switch_Monitoring();
    bool get_tablet_mode_status();
    bool get_builtin_keyboard_status();

signals:
    void tablet_mode_change_signal(bool tablet_mode);
    void builtin_keyboard_change_signal(bool tablet_mode);

private:
    bool modemonitor=false;
    bool iiosensor_monitoring();


    QGSettings *status_manager_Setting=nullptr;   //状态管理器的gsetting
    Libinput_Switch_Event * libswitch=nullptr;


};

#endif // TABLET_MODE_SWITCH_MONITORING_H
