/*
 * kylin-status-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangguixi <wangguixi@kylinos.cn>
 *
 */
#include "devices_status_monitoring.h"

Devices_Status_Monitoring::Devices_Status_Monitoring(QObject *parent) : QObject(parent)
{

    mode_status = new Tablet_Mode_Switch_Monitoring;
    connect(mode_status,&Tablet_Mode_Switch_Monitoring::tablet_mode_change_signal,
            this,&Devices_Status_Monitoring::mode_change_signal);
    connect(mode_status,&Tablet_Mode_Switch_Monitoring::builtin_keyboard_change_signal,
            this,&Devices_Status_Monitoring::keyboard_enable_signal);


    rotation_status = new Rotation_Monitoring();//旋转监控
    connect(rotation_status,&Rotation_Monitoring::rotations_change_signal,
            this,&Devices_Status_Monitoring::rotations_change_signal);
//+旋转防抖处理
}
Devices_Status_Monitoring::~Devices_Status_Monitoring()
{
    delete rotation_status;
    delete mode_status;
}
bool Devices_Status_Monitoring::get_keyboard_enable_result()
{
    return mode_status->get_builtin_keyboard_status();
}
QString Devices_Status_Monitoring::get_rotation_status()
{
    return rotation_status->get_rotation_status();
}
bool Devices_Status_Monitoring::get_tablet_mode_status()
{
    return mode_status->get_tablet_mode_status();
}
