/*
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 * Copyright 2022 KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <https://www.gnu.org/licenses/>.
 */

#ifndef DEVICES_STATUS_MONITORING_H
#define DEVICES_STATUS_MONITORING_H

#include <QObject>
#include "Rotation_Monitoring/rotation_monitoring.h"
#include "Table_Mode_Switch/tablet_mode_switch_monitoring.h"
class Devices_Status_Monitoring : public QObject
{
    Q_OBJECT
public:
    explicit Devices_Status_Monitoring(QObject *parent = nullptr);
    ~Devices_Status_Monitoring();

    Rotation_Monitoring * rotation_status = nullptr;
    Tablet_Mode_Switch_Monitoring * mode_status = nullptr;
    bool get_keyboard_enable_result();
    QString get_rotation_status();
    bool get_tablet_mode_status();
signals:
    void keyboard_enable_signal(bool enable);
    void rotations_change_signal(QString rotations);
    void mode_change_signal(bool tablet_mode);
};

#endif // DEVICES_STATUS_MONITORING_H
