/*
 * kylin-status-manager
 *
 * Copyright (C) 2022, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: wangguixi <wangguixi@kylinos.cn>
 *
 */
#include <QCoreApplication>
#include <QCommandLineOption>
#include <QCommandLineParser>
#include "Frontend_Console/autoswitch.h"
#include <ukui-log4qt.h>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QCommandLineParser parser;
    QCommandLineOption logOption("log", "open log");
    parser.addOption(logOption);
    parser.process(a);
    if(QCoreApplication::arguments().length()>1)
    {
        QString opt=QCoreApplication::arguments().at(1);
        if(opt =="--log"||opt == "l"){
            autoSwitch au;
            return a.exec();
        }
    } else{
        initUkuiLog4qt("kylin-status-manager");
        autoSwitch au;
        return a.exec();
    }
}
